[librechroot] Support distcc's "+zeroconf"
Status: open % Done: 0%
Priority: wish

Assignee:

Category:

Description

fauno wrote:

feature request: is it possible to run dbus+avahi-daemon on the chroot,
or make it available from the host system? now that avahi is a
dependency of distcc i wanted to try +zeroconf (my build machines are
changing ips a lot lately...) but it couldn't connect to the host avahi.

History

#2 - 2012-12-02 03:43 PM - fauno

i'd guess the chroot has to be able to reach dbus...

#3 - 2012-12-03 08:41 AM - mtjm

This probably can be done using systemd-nspawn and running systemd in the chroot. (I don't like how this makes chroots more complex and
build-machine-specific.)

#5 - 2014-03-05 11:34 PM - lukeshu

- Subject changed from [librechroot] Optionally start dbus+avahi in the chroot to [librechroot] Support distcc +zeroconf

As a note: For a while now, distcc has been supported in the chroots via the distcc-nozeroconf package, and some hackery with socat and Unix
domain sockets.

#6 - 2014-03-05 11:35 PM - lukeshu

- Subject changed from [librechroot] Support distcc +zeroconf to [librechroot] Support distcc's "+zeroconf"

#7 - 2017-05-02 01:52 AM - lukeshu

| believe that connecting /var/run/avahi-daemon/socket to the outside world should mostly do the trick.

#8 - 2018-10-01 10:36 PM - lukeshu

| don't remember my thought process of the previous comment.

It's only using Avahi to discover hosts, right? Once Avabhi tells it about a host, that host will still need rewritten+handled by distcc-tool.

#9 - 2018-10-02 05:36 PM - lukeshu

- Tracker changed from Bug to Feature Request

#10 - 2018-10-04 07:29 PM - lukeshu

What if we just had it run an an avahi query once at startup, to turn "+zeroconf" in to a "manually" configured list?
